package opc.ua.services.common;

import java.util.Date;
import opc.ua.im.datatype.BaseDataType;

public class DataValue {

	private BaseDataType value;
	private StatusCode statusCode;
	private Date sourceTimestamp;
	/** UInteger */
	private int sourcePicoSeconds;
	private Date serverTimestamp;
	/** UInteger */
	private int serverPicoSeconds;

	
	public BaseDataType getValue() {
		return value;
	}
	public void setValue(BaseDataType value) {
		this.value = value;
	}
	public StatusCode getStatusCode() {
		return statusCode;
	}
	public void setStatusCode(StatusCode statusCode) {
		this.statusCode = statusCode;
	}
	public Date getSourceTimestamp() {
		return sourceTimestamp;
	}
	public void setSourceTimestamp(Date sourceTimestamp) {
		this.sourceTimestamp = sourceTimestamp;
	}
	public int getSourcePicoSeconds() {
		return sourcePicoSeconds;
	}
	public void setSourcePicoSeconds(int sourcePicoSeconds) {
		this.sourcePicoSeconds = sourcePicoSeconds;
	}
	public Date getServerTimestamp() {
		return serverTimestamp;
	}
	public void setServerTimestamp(Date serverTimestamp) {
		this.serverTimestamp = serverTimestamp;
	}
	public int getServerPicoSeconds() {
		return serverPicoSeconds;
	}
	public void setServerPicoSeconds(int serverPicoSeconds) {
		this.serverPicoSeconds = serverPicoSeconds;
	}

}
